Debian Bug report logs - #692052
ITP: timecop -- A gem providing "time travel" and "time freezing" capabilities

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nandaja Varma <nandaja.varma@gmail.com>

Date: Thu, 1 Nov 2012 17:33:01 UTC

Owned by: Nandaja Varma<nandaja.varma@gmail.com>

Severity: wishlist

Fixed in version ruby-timecop/0.5.9-1

Done: Nandaja Varma <nandaja.varma@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma<nandaja.varma@gmail.com>:
Bug#692052; Package wnpp. (Thu, 01 Nov 2012 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nandaja Varma <nandaja.varma@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Nandaja Varma<nandaja.varma@gmail.com>. (Thu, 01 Nov 2012 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nandaja Varma <nandaja.varma@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: timecop -- A gem providing "time travel" and "time freezing" capabilities
Date: Thu, 1 Nov 2012 23:02:15 +0530
Package: wnpp
Severity: wishlist
Owner: Nandaja Varma<nandaja.varma@gmail.com>


*Package name   : timecop
 Version        : 0.5.3
 Upstream Author: Travis Jeffery, John Trupiano
*URL            : https://github.com/travisjeffery/timecop
*License        : MIT License
*Description    : A gem providing "time travel" and "time freezing"
capabilities, making it dead simple to test time-dependent code.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma<nandaja.varma@gmail.com>:
Bug#692052; Package wnpp. (Thu, 01 Nov 2012 19:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nandaja Varma <nandaja.varma@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma<nandaja.varma@gmail.com>. (Thu, 01 Nov 2012 19:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 692052@bugs.debian.org (full text, mbox):

From: Nandaja Varma <nandaja.varma@gmail.com>
To: 692052@bugs.debian.org
Subject: Update
Date: Fri, 2 Nov 2012 00:33:20 +0530
Hi,
The tests for this gem is failing for ruby-1.8.So I've reported this
issue in the upstream.
https://github.com/travisjeffery/timecop/issues/49
The packaging will be continued after clearing this issue.
Regards,
Nandaja



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 17 Jan 2013 07:09:06 GMT) Full text and rfc822 format available.

Reply sent to Nandaja Varma <nandaja.varma@gmail.com>:
You have taken responsibility. (Mon, 18 Mar 2013 23:03:11 GMT) Full text and rfc822 format available.

Notification sent to Nandaja Varma <nandaja.varma@gmail.com>:
Bug acknowledged by developer. (Mon, 18 Mar 2013 23:03:11 GMT) Full text and rfc822 format available.

Message #17 received at 692052-close@bugs.debian.org (full text, mbox):

From: Nandaja Varma <nandaja.varma@gmail.com>
To: 692052-close@bugs.debian.org
Subject: Bug#692052: fixed in ruby-timecop 0.5.9-1
Date: Mon, 18 Mar 2013 23:00:08 +0000
Source: ruby-timecop
Source-Version: 0.5.9-1

We believe that the bug you reported is fixed in the latest version of
ruby-timecop, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692052@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nandaja Varma <nandaja.varma@gmail.com> (supplier of updated ruby-timecop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 01 Nov 2012 23:33:19 +0400
Source: ruby-timecop
Binary: ruby-timecop
Architecture: source all
Version: 0.5.9-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Nandaja Varma <nandaja.varma@gmail.com>
Description: 
 ruby-timecop - Ruby library to easily test time-dependent code
Closes: 692052
Changes: 
 ruby-timecop (0.5.9-1) unstable; urgency=low
 .
   * Initial release (Closes: #692052)
Checksums-Sha1: 
 582cde85fa7f38014ff0ada5bd668739fa3d84a3 2062 ruby-timecop_0.5.9-1.dsc
 fa270bff6f05304fe3f378e35f50625d43d72b69 13442 ruby-timecop_0.5.9.orig.tar.gz
 42521a91a421a9368d71f68165a769775d96e8b2 2572 ruby-timecop_0.5.9-1.debian.tar.gz
 a9f551312fd27488a1b9d1b64c46bb1c9001ff38 11824 ruby-timecop_0.5.9-1_all.deb
Checksums-Sha256: 
 3a9d79591f25ae841642aff0fbeabf5f7298f1c8901d1dc421b12f52ba8e92a1 2062 ruby-timecop_0.5.9-1.dsc
 fdd72edc1ea93fbfb7df03c639d23118e819d84a68fe2b0b94e56b9e60b60609 13442 ruby-timecop_0.5.9.orig.tar.gz
 1c9f4d5878e4d140cbb790679d0713ff1944f3730008823c50bdfee5404e73e9 2572 ruby-timecop_0.5.9-1.debian.tar.gz
 0ce8f82df5777441b2de0e84efbc5c672186a2affb24f88e86ee5f5637eda298 11824 ruby-timecop_0.5.9-1_all.deb
Files: 
 31e0125c40d21c2f8f6062390c0ad6cd 2062 ruby optional ruby-timecop_0.5.9-1.dsc
 dd1152e6c44a508516bee561dcb14dc5 13442 ruby optional ruby-timecop_0.5.9.orig.tar.gz
 4346bceb3b2b2b5a1e6e349ed0ed356d 2572 ruby optional ruby-timecop_0.5.9-1.debian.tar.gz
 9425c01010642c6569631b11193a7bd6 11824 ruby optional ruby-timecop_0.5.9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ9zvJAAoJENpJWPYR4UnpMW8QALXDgQe1NK5MPee8VSGNEvOc
UuPUiLYKFf75Vzgc2z8X/UAY1XxnD+2zeiEuKSEdyJTJClu51jO+4o+qJcEX97wr
8Jc0KCbjKSaRRvryudDdOdgGZSnSQHQLqCR8upMinEUTGT9HsgQ6gfsvBRzDCSFF
jqwBOxjeZASLavOy9jzm5d2BF4QQeD/kjPKNE0IwYD5AB2ngFt6MI2PSNe+LYYhm
ofaR0dKJCk302SQPhzzrzZLoBWbX3ElBwIU3TnrtBxjUNKicAQZSztXipHnWcxtx
i30Fwwv46ITjuw7lxburnvCcelquu2wKpMyVrR0zV/67KmEepN5tSIZM8iFx7yxH
zvhTYrO0V6iWZ1/94SeZcUYkK2d3CRzVm1Hu9aArh/kRXFbjQFIwKvthUwa3ATSN
WcwFW/reEIUto97KPvHNwNfnYcT+nJjarSKWO7QavPUKYiE+5TURlk3MykBxm65z
31cJwVicGF/R8DugmRKGzwfYvznkQ2XRw59wqowYii2rhaHe+ZMKGxXy6NxGa8Nl
CFZio54rLN085CouwWMnyTICnh09+SyyjtqhLBWAyaNEz6ahauSUZ+JTvpxv3Ib9
PowX4wQ7DCyZilM7WMIa3pe+BymBqw5V9MmVJJWTU365ymUhRVyMUSYlO6qmYtiQ
ThmdXRPlElZo2ciaJFIW
=/vc2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Apr 2013 07:27:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:36:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.